Subject: Re: RFC1633

From: braden (Bob Braden)
Date: Mon, 13 Jun 1994 12:28:39 -0700

*> From [email-masked] Fri Jun 10 14:13:08 1994
  *> Date: Fri, 10 Jun 94 07:35:36 PDT
  *> From: [email-masked] (Michael Bradley)
  *> To: [email-masked]
  *> Subject: RFC1633
  *> Content-Length: 530
  *> X-Lines: 14
  *> 
  *> Just read over the new RFC. It a very good
  *> overview. After reading it I still have
  *> a question about traffic shaping. I posted
  *> a question about it some time ago, but dont
  *> feel I got a real good answer. My understanding
  *> is that traffci shaping is required at the edge
  *> of the network for the predictive service 
  *> classes (at least in those cases which implement
  *> the CSZ predictive packet scheduling). If
  *> so, then why no mention of it in RFC1633?
  *> Is it because it is not a router function but
  *> an end system function?
  *> 
  *>  Michael Bradley
  *> 

Michael,

I can give you my viewpoint on your question.  The omission of traffic
shaping from RFC-1633 stems from two different phenomena, in roughly
equal measure: (1) simple oversight, and (2) some basic confusion about
exactly when and where traffic shaping is to be applied.

Bob